Bug 54949 - [PATCH] mod_cache: fix uninitialized tmppath variable (can lead to crash)
Summary: [PATCH] mod_cache: fix uninitialized tmppath variable (can lead to crash)
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_cache (show other bugs)
Version: 2.4.4
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2013-05-10 07:05 UTC by jkaluza
Modified: 2018-03-27 18:12 UTC (History)
0 users



Attachments
proposed patch (520 bytes, patch)
2013-05-10 07:05 UTC, jkaluza
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jkaluza 2013-05-10 07:05:32 UTC
Created attachment 30270 [details]
proposed patch

Hi,

attached patch fixes uninitialized variable in mod_cache in httpd-2.4 branch. If apr_temp_dir_get fails, then the result of condition after it is unpredictable and can lead to crash.

This problem exists only in httpd-2.4 branch.
Comment 1 Graham Leggett 2013-05-12 11:09:29 UTC
Variable removed from trunk in r1407381.

Proposed for backport to v2.4.
Comment 2 Christophe JAILLET 2018-03-27 18:12:36 UTC
This has been backported in r1485679 and is part of 2.4.5